cutlass::KernelLaunchConfiguration Struct Reference

Structure containing the basic launch configuration of a CUDA kernel.

`#include <kernel_launch.h>`

## Public Member Functions

CUTLASS_HOST_DEVICE | KernelLaunchConfiguration (dim3 _grid=dim3(1, 1, 1), dim3 _block=dim3(1, 1, 1), size_t _dynamic_smem=0)
| Constructs a KernellaunchConfiguration object. More...

## Public Attributes

dim3 | grid
| CUDA grid dimensions. More...
dim3 | block
| CUDA threablock dimensions. More...
size_t | dynamic_smem
| Bytes of dynamically allocated SMEM in addition to static SMEM. More...

## Constructor & Destructor Documentation

CUTLASS_HOST_DEVICE cutlass::KernelLaunchConfiguration::KernelLaunchConfiguration | ( | dim3 | _grid = `dim3(1,1,1)`,
|  | dim3 | _block = `dim3(1,1,1)`,
|  | size_t | _dynamic_smem = `0`
| ) |  |

inline

## Member Data Documentation

dim3 cutlass::KernelLaunchConfiguration::block

size_t cutlass::KernelLaunchConfiguration::dynamic_smem

dim3 cutlass::KernelLaunchConfiguration::grid

The documentation for this struct was generated from the following file:

- kernel_launch.h